zone_struct Struct Reference

`#include <zone.h>`

## Data Fields

ldns_rdf * | apex
ldns_rr_class | klass
uint32_t | default_ttl
char * | notify_command
const char * | notify_ns
char ** | notify_args
const char * | name
const char * | policy_name
const char * | signconf_filename
zone_zl_status | zl_status
adapter_type * | adinbound
adapter_type * | adoutbound
signconf_type * | signconf
namedb_type * | db
ixfr_type * | ixfr
xfrd_type * | xfrd
notify_type * | notify
stats_type * | stats
pthread_mutex_t | zone_lock
pthread_mutex_t | xfr_lock
collection_class | rrstore
int | zoneconfigvalid

## Detailed Description

Definition at line 60 of file zone.h.

## Field Documentation

## adinbound

adapter_type* zone_struct::adinbound

Definition at line 74 of file zone.h.

Referenced by adapter_read(), addns_read(), adfile_read(), engine_update_zones(), parse_zonelist_zones(), tools_input(), zone_cleanup(), zone_create(), and zone_merge().

## adoutbound

adapter_type* zone_struct::adoutbound

Definition at line 75 of file zone.h.

Referenced by adapi_printixfr(), adapter_write(), addns_write(), adfile_write(), engine_update_zones(), notify_enable(), parse_zonelist_zones(), rrset_print(), tools_output(), zone_cleanup(), zone_create(), and zone_merge().

## apex

ldns_rdf* zone_struct::apex

Definition at line 61 of file zone.h.

Referenced by adapi_get_origin(), adapi_printaxfr(), adapi_printixfr(), namedb_add_denial(), notify_send(), rrset_sign(), zone_add_rr(), zone_cleanup(), zone_create(), zone_del_nsec3params(), zone_prepare_keys(), zone_publish_dnskeys(), zone_publish_nsec3param(), zone_rollback_dnskeys(), zone_rollback_nsec3param(), and zone_update_serial().

## db

namedb_type* zone_struct::db

Definition at line 79 of file zone.h.

Referenced by adapi_get_serial(), adapi_printaxfr(), adapi_printixfr(), adapi_printzone(), adapi_set_serial(), adapi_trans_diff(), adapi_trans_full(), adapter_write(), addns_read(), addns_write(), backup_read_ixfr(), backup_read_namedb(), namedb_wipe_denial(), rrset_diff(), rrset_drop_rrsigs(), rrset_sign(), tools_input(), tools_output(), tools_signconf(), zone_add_rr(), zone_backup2(), zone_cleanup(), zone_create(), zone_del_nsec3params(), zone_del_rr(), zone_lookup_rrset(), zone_prepare_keys(), zone_publish_dnskeys(), zone_publish_nsec3param(), zone_recover2(), and zone_update_serial().

## default_ttl

uint32_t zone_struct::default_ttl

Definition at line 63 of file zone.h.

Referenced by adapi_get_ttl(), denial_nsecify(), tools_signconf(), zone_create(), zone_publish_dnskeys(), and zone_recover2().

## ixfr

ixfr_type* zone_struct::ixfr

Definition at line 80 of file zone.h.

Referenced by adapi_printixfr(), addns_write(), backup_read_ixfr(), namedb_wipe_denial(), rrset_diff(), rrset_drop_rrsigs(), rrset_sign(), tools_output(), zone_cleanup(), zone_create(), and zone_recover2().

## klass

ldns_rr_class zone_struct::klass

Definition at line 62 of file zone.h.

Referenced by denial_nsecify(), zone_backup2(), zone_create(), zone_publish_dnskeys(), zone_publish_nsec3param(), and zone_recover2().

## name

const char* zone_struct::name

Definition at line 69 of file zone.h.

Referenced by adapter_read(), adapter_write(), addns_read(), addns_write(), adfile_write(), axfr(), backup_read_ixfr(), backup_read_namedb(), do_forcereadsignconf(), do_forcereadzone(), do_readsignconf(), do_readzone(), do_signzone(), do_writezone(), engine_update_zones(), ixfr(), namedb_create(), namedb_wipe_denial(), notify_enable(), notify_send(), parse_zonelist_zones(), query_process(), rrset_sign(), soa_request(), tools_input(), tools_output(), tools_signconf(), xfrd_set_timer_now(), xfrd_set_timer_refresh(), xfrd_set_timer_retry(), zone_add_rr(), zone_backup2(), zone_cleanup(), zone_create(), zone_del_nsec3params(), zone_del_rr(), zone_load_signconf(), zone_merge(), zone_prepare_keys(), zone_publish_dnskeys(), zone_publish_nsec3param(), zone_recover2(), zone_update_serial(), zonelist_add_zone(), and zonelist_del_zone().

## notify

notify_type* zone_struct::notify

Definition at line 83 of file zone.h.

Referenced by zone_cleanup(), and zone_create().

## notify_args

char** zone_struct::notify_args

Definition at line 67 of file zone.h.

Referenced by tools_output(), zone_cleanup(), and zone_create().

## notify_command

char* zone_struct::notify_command

Definition at line 65 of file zone.h.

Referenced by engine_update_zones(), zone_cleanup(), and zone_create().

## notify_ns

const char* zone_struct::notify_ns

Definition at line 66 of file zone.h.

Referenced by engine_update_zones(), tools_output(), and zone_create().

## policy_name

const char* zone_struct::policy_name

Definition at line 70 of file zone.h.

Referenced by parse_zonelist_zones(), zone_cleanup(), zone_create(), and zone_merge().

## rrstore

collection_class zone_struct::rrstore

Definition at line 89 of file zone.h.

Referenced by rrset_create(), zone_cleanup(), and zone_create().

## signconf

signconf_type* zone_struct::signconf

Definition at line 77 of file zone.h.

Referenced by denial_add_rr(), denial_nsecify(), do_forcereadzone(), do_readsignconf(), do_readzone(), do_signzone(), do_writezone(), rrset_sign(), tools_input(), tools_output(), tools_signconf(), zone_add_rr(), zone_backup2(), zone_cleanup(), zone_create(), zone_del_rr(), zone_load_signconf(), zone_prepare_keys(), zone_publish_dnskeys(), zone_publish_nsec3param(), zone_recover2(), zone_rollback_dnskeys(), zone_rollback_nsec3param(), and zone_update_serial().

## signconf_filename

const char* zone_struct::signconf_filename

Definition at line 71 of file zone.h.

Referenced by parse_zonelist_zones(), zone_cleanup(), zone_create(), zone_load_signconf(), and zone_merge().

## stats

stats_type* zone_struct::stats

Definition at line 85 of file zone.h.

Referenced by adapi_trans_diff(), adapi_trans_full(), do_signzone(), rrset_sign(), tools_input(), tools_output(), zone_add_rr(), zone_cleanup(), zone_create(), zone_del_rr(), and zone_recover2().

## xfr_lock

pthread_mutex_t zone_struct::xfr_lock

Definition at line 87 of file zone.h.

Referenced by addns_write(), zone_cleanup(), and zone_create().

## xfrd

xfrd_type* zone_struct::xfrd

Definition at line 82 of file zone.h.

Referenced by addns_read(), axfr(), engine_update_zones(), ixfr(), soa_request(), zone_cleanup(), and zone_create().

## zl_status

zone_zl_status zone_struct::zl_status

Definition at line 72 of file zone.h.

Referenced by engine_update_zones(), query_process(), zone_create(), zone_merge(), and zonelist_add_zone().

## zone_lock

pthread_mutex_t zone_struct::zone_lock

Definition at line 86 of file zone.h.

Referenced by do_forcereadsignconf(), do_forcereadzone(), do_readsignconf(), do_readzone(), do_signzone(), do_writezone(), engine_update_zones(), zone_cleanup(), zone_create(), and zone_recover2().

## zoneconfigvalid

int zone_struct::zoneconfigvalid

Definition at line 90 of file zone.h.

Referenced by do_forcereadsignconf(), do_readsignconf(), zone_create(), and zone_recover2().

The documentation for this struct was generated from the following file:

- src/signer/zone.h